Click or drag to resize

AngularDimensionAdjustFromPoints Method (Plane, Point3d, Point3d, Point3d, Point3d, Point3d)

Update Dimension geometry from point locations

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public bool AdjustFromPoints(
	Plane plane,
	Point3d extpoint1,
	Point3d extpoint2,
	Point3d dirpoint1,
	Point3d dirpoint2,
	Point3d dimlinepoint
)

Parameters

plane
Type: Rhino.GeometryPlane

[Missing <param name="plane"/> documentation for "M:Rhino.Geometry.AngularDimension.AdjustFromPoints(Rhino.Geometry.Plane,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

extpoint1
Type: Rhino.GeometryPoint3d

[Missing <param name="extpoint1"/> documentation for "M:Rhino.Geometry.AngularDimension.AdjustFromPoints(Rhino.Geometry.Plane,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

extpoint2
Type: Rhino.GeometryPoint3d

[Missing <param name="extpoint2"/> documentation for "M:Rhino.Geometry.AngularDimension.AdjustFromPoints(Rhino.Geometry.Plane,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

dirpoint1
Type: Rhino.GeometryPoint3d

[Missing <param name="dirpoint1"/> documentation for "M:Rhino.Geometry.AngularDimension.AdjustFromPoints(Rhino.Geometry.Plane,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

dirpoint2
Type: Rhino.GeometryPoint3d

[Missing <param name="dirpoint2"/> documentation for "M:Rhino.Geometry.AngularDimension.AdjustFromPoints(Rhino.Geometry.Plane,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

dimlinepoint
Type: Rhino.GeometryPoint3d

[Missing <param name="dimlinepoint"/> documentation for "M:Rhino.Geometry.AngularDimension.AdjustFromPoints(Rhino.Geometry.Plane,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Rhino.Geometry.AngularDimension.AdjustFromPoints(Rhino.Geometry.Plane,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

Version Information

Rhino for Windows

Supported in: 6.2
See Also